Skip to content

Nom de domaine - Hébergement - Email

Accueil » Opérations » Fin du support des versions PHP inférieures à 7.1

Fin du support des versions PHP inférieures à 7.1

Lorsque vous hébergez votre site web, ce dernier dispose d’un environnement serveur avec des versions serveur et des langages de programmation qui évoluent et nécessitent d’être régulièrement mis à jour.

Pour des raisons évidentes de sécurité, il est important d’utiliser des versions maintenues et à jour de l’environnement logiciel utilisé. Ces bonnes pratiques sont renforcées avec le RGPD (Règlement Général sur la Protection des Données) qui préconise les principes de « Privacy by design » et « Security by design »

Comme précisé sur le site officiel de PHP https://www.php.net/supported-versions.php 

« Chaque branche de PHP est entièrement supportée pendant deux ans à partir de la date de sa première version stable. Pendant cette période, les bugs et les problèmes de sécurité qui ont été signalés sont corrigés et sont publiés dans des versions ponctuelles régulières.
Après cette période de deux ans de support technique actif, chaque branche est ensuite maintenue pendant une année supplémentaire pour les questions de sécurité critiques uniquement.
Une fois les trois années de support terminées, la branche atteint sa fin de vie et n’est plus maintenue. »

Si votre environnement d’hébergement utilise une version PHP  inférieure à 7.1, une action est requise de votre part avant le mercredi 27 novembre 2019.

A cette date, les versions de PHP inférieures à 7.1 cesseront de fonctionner et votre environnement serveur passera automatiquement en 7.3.


Deux versions PHP maintenues sont disponibles dans le cadre de l’hébergement de votre site sur la plateforme One2Net : PHP 7.1 et PHP 7.3

La version PHP 7.1 arrivant en fin de support début 2020, nous vous incitons à privilégier d’ores et déjà la version PHP 7.3


Pour la majorité des CMS à jour comme WordPress, Joomla… , le basculement vers l’une de ces versions est transparent.

Dans de rares cas, des dysfonctionnements peuvent apparaître si vous utilisez de vieux thèmes ou des plug-ins non maintenus.

Si tel est le cas, vous avez la possibilité de rebasculer ponctuellement sur votre ancienne version PHP et signaler les messages d’erreur à l’éditeur du thème ou au développeur du plug-in.


Comment changer la version de PHP sur mon hébergement ?
https://www.one2net.fr/aide/hebergement/changer-la-version-de-php-executee-sur-mon-espace-dhebergement/

Comme pour tout langage de programmation, le basculement vers une nouvelle version de PHP peut affecter certains scripts anciens et donc le fonctionnement de votre site.

  1. Consultez votre webmaster pour lister et évaluer les scripts spécifiques
  2. Rendez-vous dans votre espace client (rubrique « Hébergement » puis « Résumé ») afin d’afficher la version de PHP exécutée sur votre hébergement.
  3. Choisir l’une des deux versions 7.1 ou 7.3, puis « Sauvegardez ».
  4. Attendre 15 minutes et tester l’affichage de votre site ainsi que ses fonctionnalités.
  5. En cas de problème constaté, vous avez la possibilité de revenir en arrière en choisissant à nouveau l’ancienne version de PHP. Cela vous laisse ainsi le temps de corriger vos scripts en conséquence.